Skip to main content
GET
/
agents
JavaScript
import Reminix from '@reminix/sdk';

const client = new Reminix({
  apiKey: process.env['REMINIX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const agent of client.agents.list()) {
  console.log(agent.id);
}
{
  "data": [
    {
      "id": "<string>",
      "projectId": "<string>",
      "name": "<string>",
      "stack": "<string>",
      "status": "active",
      "description": "<string>",
      "inputSchema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "default": "<unknown>",
        "enum": [
          null
        ],
        "properties": {},
        "required": [
          "<string>"
        ],
        "items": "<unknown>"
      },
      "outputSchema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "default": "<unknown>",
        "enum": [
          null
        ],
        "properties": {},
        "required": [
          "<string>"
        ],
        "items": "<unknown>"
      },
      "capabilities": {
        "streaming": true
      },
      "type": "prompt",
      "tags": [
        "<string>"
      ],
      "metadata": {},
      "exampleInput": {},
      "discoveredAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

Authorization
string
header
required

API Key or Personal Access Token (PAT). When using PAT, include X-Project header.

Query Parameters

limit
number
default:20

Number of agents to return

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination

stack
string

Filter by agent stack (e.g., python, typescript, python-langchain)

status
enum<string>

Filter by agent status

Available options:
active,
inactive

Response

List of agents

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required